#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x95921968, "mdio_i2c_alloc" },
	{ 0x5ff76bb8, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc954ef1f, "__devm_add_action" },
	{ 0x87c22c99, "device_get_match_data" },
	{ 0x2f34fc39, "__dev_fwnode" },
	{ 0x3799cb46, "fwnode_find_reference" },
	{ 0x1702d1b3, "i2c_get_adapter_by_fwnode" },
	{ 0xa96fff56, "device_property_read_u32_array" },
	{ 0xfa78a545, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1553069e, "sfp_register_socket" },
	{ 0x77bcdfc2, "gpiod_to_irq" },
	{ 0x9e30156c, "debugfs_create_dir" },
	{ 0xde9467bb, "debugfs_create_file" },
	{ 0xb905a79a, "devm_kasprintf" },
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0xfc30fc6b, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x3548c687, "seq_lseek" },
	{ 0x180fbde2, "seq_read" },
	{ 0xd5ee8bdf, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa6b96ef1, "__platform_driver_register" },
	{ 0xdcededd2, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x5af28318, "get_phy_device" },
	{ 0x15c3d2ee, "phy_device_register" },
	{ 0xbd04899f, "sfp_add_phy" },
	{ 0x25df960a, "phy_device_remove" },
	{ 0xfbccab40, "phy_device_free" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x27f0c1b1, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3cb9edcf, "gpiod_direction_input" },
	{ 0x8cc262bf, "gpiod_direction_output" },
	{ 0xca4ad43f, "mdiobus_unregister" },
	{ 0x6da986f7, "mdiobus_free" },
	{ 0x37e40f81, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0xb2888fc8, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x339e192b, "_dev_info" },
	{ 0xec3b5619, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4b0e80cf, "single_open" },
	{ 0x3316038c, "seq_printf" },
	{ 0xe1a13cde, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{  0x2c1fa, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "8BDA4B0FA3036DD7D13A170");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
