#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdb63c39d, "__pskb_pull_tail" },
	{ 0x4eb5e2fa, "skb_push" },
	{ 0xb101311f, "skb_copy_expand" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0x49b08f39, "eth_mac_addr" },
	{ 0x3b8d369b, "usb_autopm_get_interface" },
	{ 0x340d7534, "usb_autopm_put_interface" },
	{ 0x3387fcad, "usbnet_read_cmd" },
	{ 0xd5dbfe58, "netif_carrier_off" },
	{ 0xa0443869, "usbnet_read_cmd_nopm" },
	{ 0x153a8866, "usbnet_resume" },
	{ 0xe50cf4d6, "usb_reset_configuration" },
	{ 0xe3cc0cc3, "usbnet_get_endpoints" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xeaba63d4, "dev_addr_mod" },
	{ 0x62a50263, "netif_set_tso_max_size" },
	{ 0xfe74e1e2, "usb_driver_set_configuration" },
	{ 0x3256916b, "usbnet_suspend" },
	{ 0x990b0a76, "netdev_info" },
	{ 0xd423180d, "netif_carrier_on" },
	{ 0x8beb21f, "usbnet_probe" },
	{ 0xd15c7e20, "usbnet_disconnect" },
	{ 0x79d00b61, "usbnet_open" },
	{ 0xd246ba6, "usbnet_stop" },
	{ 0x284edd27, "usbnet_start_xmit" },
	{ 0xc2749f61, "eth_validate_addr" },
	{ 0x7a4377bc, "usbnet_tx_timeout" },
	{ 0x3bf67bc1, "dev_get_tstats64" },
	{ 0x9fd764be, "usbnet_get_msglevel" },
	{ 0xff817685, "usbnet_set_msglevel" },
	{ 0x62104c45, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{  0xac54a, "skb_trim" },
	{ 0xd45d980, "__netdev_alloc_skb" },
	{ 0x7af9e73b, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x593f2a41, "skb_pull" },
	{ 0xf35dfb4c, "usbnet_skb_return" },
	{ 0x56463122, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa4a06c02, "usb_register_driver" },
	{ 0x52d75a15, "usb_deregister" },
	{ 0xf3931e42, "usbnet_defer_kevent" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1d04ce0d, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf8f2fd70, "__dynamic_netdev_dbg" },
	{ 0x6458cf68, "netdev_warn" },
	{ 0x6b67ad97, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "172268A03866A3FB25A1900");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
