#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x52d75a15, "usb_deregister" },
	{ 0xcfe7a185, "usbnet_link_change" },
	{ 0x6b67ad97, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xeaba63d4, "dev_addr_mod" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6cf88684, "usbnet_write_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3387fcad, "usbnet_read_cmd" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x97ab04c9, "netdev_err" },
	{ 0xe3cc0cc3, "usbnet_get_endpoints" },
	{ 0xd92925ca, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0x8beb21f, "usbnet_probe" },
	{ 0xd15c7e20, "usbnet_disconnect" },
	{ 0x3256916b, "usbnet_suspend" },
	{ 0x153a8866, "usbnet_resume" },
	{ 0x79d00b61, "usbnet_open" },
	{ 0xd246ba6, "usbnet_stop" },
	{ 0x284edd27, "usbnet_start_xmit" },
	{ 0xc2749f61, "eth_validate_addr" },
	{ 0x35ec2cfe, "usbnet_change_mtu" },
	{ 0x7a4377bc, "usbnet_tx_timeout" },
	{ 0x3bf67bc1, "dev_get_tstats64" },
	{ 0x9fd764be, "usbnet_get_msglevel" },
	{ 0xff817685, "usbnet_set_msglevel" },
	{ 0xedbe94e5, "usbnet_nway_reset" },
	{ 0x32582f78, "usbnet_get_link_ksettings_mii" },
	{ 0xb528a736, "usbnet_set_link_ksettings_mii" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb101311f, "skb_copy_expand" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0xfb578fc5, "memset" },
	{ 0x593f2a41, "skb_pull" },
	{  0xac54a, "skb_trim" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x402d3dea, "mii_check_media" },
	{ 0xef00b78e, "mii_ethtool_gset" },
	{ 0xf8f2fd70, "__dynamic_netdev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xada22936, "mii_link_ok" },
	{ 0x56463122, "usbnet_get_drvinfo" },
	{ 0xdf01594, "generic_mii_ioctl" },
	{ 0xa4a06c02, "usb_register_driver" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet,mii");

MODULE_ALIAS("usb:v07AAp9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p6688d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0268d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p8515d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A47p9601d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p8101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FE6p9700d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9620d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9621d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p9622d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p0269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0A46p1269d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3427d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "81EDAE61E825248A1C1D81B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
