#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3975d2d, "page_pool_create" },
	{ 0x61ac651d, "napi_enable" },
	{ 0x259fbc9e, "xdp_features_clear_redirect_target" },
	{ 0x4bbfa767, "xdp_features_set_redirect_target" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd5dbfe58, "netif_carrier_off" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0xfa677bdb, "__tracepoint_xdp_bulk_tx" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x872d4f7c, "__SCT__tp_func_xdp_bulk_tx" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7b0f76fd, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xef5f7e8b, "rtnl_nla_parse_ifinfomsg" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x623aa0da, "rtnl_link_get_net" },
	{ 0x3d200f, "rtnl_create_link" },
	{ 0xec9aa4cc, "netif_inherit_tso_max" },
	{ 0x42ed86f4, "register_netdevice" },
	{ 0xe9703d82, "netdev_update_features" },
	{ 0xd10a3f10, "rtnl_configure_link" },
	{ 0xe7790511, "__put_net" },
	{ 0xd894d024, "free_netdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeaba63d4, "dev_addr_mod" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd423180d, "netif_carrier_on" },
	{ 0x92997ed8, "_printk" },
	{ 0x4e4ee47f, "xdp_rxq_info_is_reg" },
	{ 0x34c2dd9a, "bpf_prog_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xcfe39a5, "skb_pp_cow_data" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x634ae0a9, "consume_skb" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xeea2d3e8, "bpf_warn_invalid_xdp_action" },
	{ 0xdbc7e222, "__tracepoint_xdp_exception" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x33591d10, "xdp_do_redirect" },
	{ 0xdd8a981e, "xdp_return_buff" },
	{ 0x8a87036b, "xdp_master_redirect" },
	{ 0xac5b2fb4, "eth_type_trans" },
	{ 0x7b6894b4, "netif_receive_skb" },
	{ 0x4102e88, "pskb_expand_head" },
	{ 0xa8ce8ec2, "const_pcpu_hot" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xa9630cbe, "napi_complete_done" },
	{ 0xb35e7d03, "passthru_features_check" },
	{ 0x49b08f39, "eth_mac_addr" },
	{ 0x62104c45, "ethtool_op_get_link" },
	{ 0xb546b666, "ethtool_op_get_ts_info" },
	{ 0xec85418f, "__SCK__tp_func_xdp_bulk_tx" },
	{ 0xc31cb522, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7aab6ee6, "rtnl_link_register" },
	{ 0xd856f110, "unregister_netdevice_queue" },
	{ 0x542a8b45, "netif_set_real_num_tx_queues" },
	{ 0x49fa5b90, "netif_set_real_num_rx_queues" },
	{ 0xee8041b9, "ether_setup" },
	{ 0x62a50263, "netif_set_tso_max_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xae82be0d, "__xdp_rxq_info_reg" },
	{ 0xc3172976, "xdp_rxq_info_reg_mem_model" },
	{ 0x871767f6, "netif_napi_add_weight" },
	{ 0x33e01b3b, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xabbfb99e, "xdp_rxq_info_unreg" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x11ad26da, "page_pool_get_stats" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x8a9a8d8a, "__skb_get_hash_net" },
	{ 0xebe7b205, "rtnl_link_unregister" },
	{ 0xe632ffaa, "xdp_set_features_flag" },
	{ 0xb53309a9, "xdp_return_frame" },
	{ 0x47d119df, "sk_skb_reason_drop" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x1d856028, "__dev_forward_skb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7da6463b, "napi_schedule_prep" },
	{ 0xc51abdb1, "__napi_schedule" },
	{ 0x5e0b5f47, "sock_wfree" },
	{ 0xdb63c39d, "__pskb_pull_tail" },
	{ 0xf20b4168, "__netif_rx" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a7af0be, "skb_tstamp_tx" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd91dbd1f, "xdp_alloc_skb_bulk" },
	{ 0x29dc9a04, "napi_gro_receive" },
	{ 0x680c81cb, "__xdp_build_skb_from_frame" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x1910fe41, "napi_disable" },
	{ 0x61877671, "page_pool_destroy" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CA3B563B9F75D72903155CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
