#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36810bbd, "il_irq_handle_error" },
	{ 0xd1545a9e, "il_rx_queue_space" },
	{ 0x59a5ceaa, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x14a90927, "ieee80211_rate_control_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc8055f2a, "il_setup_watchdog" },
	{ 0x8b45a32b, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf6322ae, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x832055f0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30800558, "dev_driver_string" },
	{ 0x8ebfd468, "il_apm_stop" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0x4770a133, "il_add_beacon_time" },
	{ 0xdfa51e33, "il_cmd_queue_free" },
	{ 0x319796e1, "il_apm_init" },
	{ 0x87324864, "ieee80211_handle_wake_tx_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe7a1a7e1, "il_free_txq_mem" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7172573d, "ieee80211_tx_status_irqsafe" },
	{ 0xbeab9410, "il_scan_cancel_timeout" },
	{ 0x58f4dc0f, "il_leds_exit" },
	{ 0xb7bd33ff, "il_isr" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb0582b, "il_restore_stations" },
	{ 0x29510e8e, "il_mac_add_interface" },
	{ 0x61de051f, "pci_disable_link_state" },
	{ 0xf1993cfe, "__free_pages" },
	{ 0x684351cc, "il_eeprom_init" },
	{ 0x2bf7eea6, "il_queue_space" },
	{ 0x339e192b, "_dev_info" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb4a19ec7, "il_set_flags_for_band" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x43a4d25b, "il_remove_station" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x66bd98e, "il_tx_queue_reset" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x89b0c702, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x39a4a9bc, "pci_enable_msi" },
	{ 0x70c151f5, "_dev_err" },
	{ 0xddf91f39, "request_firmware_nowait" },
	{ 0xb6d5a434, "il_cancel_scan_deferred_work" },
	{ 0xb4556ff3, "il_mac_hw_scan" },
	{ 0x3e39f2bd, "il_dealloc_bcast_stations" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7121f469, "il_send_add_sta" },
	{ 0x652ecd60, "il_setup_rx_scan_handlers" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13f0ca03, "il_set_decrypted_flag" },
	{ 0x732f8bed, "il_mac_remove_interface" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xda82115a, "il_set_tx_power" },
	{ 0x105a1380, "il_mac_sta_remove" },
	{ 0xba553ea1, "ieee80211_sta_block_awake" },
	{ 0x575f2fab, "il_leds_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x1709e27f, "_il_poll_bit" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1ca05991, "il_clear_bit" },
	{ 0x854fd1c8, "il_mac_config" },
	{ 0xfff7d72b, "dma_alloc_attrs" },
	{ 0xfcda2ce6, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xae287971, "_il_grab_nic_access" },
	{ 0xbef3a4ab, "il_rx_queue_update_write_ptr" },
	{ 0xb21faf34, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xce50e65f, "il_full_rxon_required" },
	{ 0x29146acf, "ieee80211_rate_control_register" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa626530c, "sysfs_create_group" },
	{ 0x25eddbdf, "il_init_scan_params" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa98ea984, "ieee80211_alloc_hw_nm" },
	{ 0x9c7b1bdd, "il_tx_queue_free" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3e9a79dd, "il_mac_tx_last_beacon" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x307ac579, "il_send_bt_config" },
	{ 0x266af9cb, "il_set_rxon_channel" },
	{ 0x7d831267, "il_cmd_queue_unmap" },
	{ 0xfb578fc5, "memset" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x117a4b14, "ieee80211_emulate_add_chanctx" },
	{ 0x20c6cb54, "il_mac_conf_tx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5148d513, "il_mac_reset_tsf" },
	{ 0x8ea91304, "il_fill_probe_req" },
	{ 0xfefed0de, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5137838a, "il_hdl_pm_sleep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x999d9fc5, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x46fffd84, "il_tx_queue_unmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc23b87f1, "il_get_channel_info" },
	{ 0x76cc1f17, "ieee80211_stop_queue" },
	{ 0xd45d980, "__netdev_alloc_skb" },
	{ 0x65547286, "il_get_lowest_plcp" },
	{ 0x8d65002e, "il_tx_queue_init" },
	{ 0x9b3d3336, "il_eeprom_query_addr" },
	{ 0x3dab4ade, "ieee80211_stop_queues" },
	{ 0x55382c7, "il_force_reset" },
	{ 0x48a91189, "il_send_cmd_sync" },
	{ 0xd722613b, "il_connection_init_rx_config" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8a2479c, "dma_set_coherent_mask" },
	{ 0xeac39ec4, "il_set_rxon_hwcrypto" },
	{ 0xfa95dcfe, "sysfs_remove_group" },
	{ 0x2213c2c8, "il_init_geos" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc3b2a5b, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9cc714af, "il_bg_watchdog" },
	{ 0x5ea9965e, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc31003a3, "il_get_passive_dwell_time" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa1fd28ca, "pci_release_regions" },
	{ 0x5df9944c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x393ce333, "pci_write_config_byte" },
	{ 0xb48ba342, "ieee80211_unregister_hw" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xbf8548dc, "il_hdl_error" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8b8f5151, "il_write_targ_mem" },
	{ 0xb07a95af, "il_send_rxon_timing" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xf2528522, "alloc_pages_noprof" },
	{ 0xe350c635, "pci_disable_device" },
	{ 0x4f568a1a, "il_send_lq_cmd" },
	{ 0xe5199a50, "il_wr_prph" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x2d5e832a, "il_free_geos" },
	{ 0x1d83fe1, "il_txq_update_write_ptr" },
	{ 0x59126af9, "skb_add_rx_frag_netmem" },
	{ 0x370b8cb2, "il_power_initialize" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb76e747e, "il_rd_prph" },
	{ 0x4c02ea1d, "il_set_rate" },
	{ 0x6df02a2b, "device_release_driver" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0xaf2a91d8, "param_ops_int" },
	{ 0x5400ba85, "il_mac_change_interface" },
	{ 0xfd1e5a7, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3d193e7b, "il_get_active_dwell_time" },
	{ 0xf80bf83, "ieee80211_emulate_remove_chanctx" },
	{ 0xa783edf8, "il_send_cmd" },
	{ 0xd5e8bb34, "il_get_free_ucode_key_idx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x750221fb, "il_clear_ucode_stations" },
	{ 0xbe5e4b09, "il_power_update_mode" },
	{ 0x52793c74, "ieee80211_rx_napi" },
	{ 0xfa0ec2eb, "il_init_channel_map" },
	{ 0x37a96d50, "il_send_stats_request" },
	{ 0x32ad3a89, "il_pm_ops" },
	{ 0xb282212b, "ieee80211_stop_tx_ba_session" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8ab3c828, "il_eeprom_free" },
	{ 0x9a9ce556, "ieee80211_start_tx_ba_cb_irqsafe" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xeba117b, "il_rx_queue_alloc" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc768dc15, "il_set_rxon_ht" },
	{ 0x4ab73e43, "il_send_cmd_pdu_async" },
	{ 0xddf274df, "ieee80211_chswitch_done" },
	{ 0x5b7f70d7, "il_prep_station" },
	{ 0xed7b51c1, "pci_enable_device" },
	{ 0x7af9e73b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeb177ff7, "il_chswitch_done" },
	{ 0x634ae0a9, "consume_skb" },
	{ 0xfec5d7df, "il_eeprom_query16" },
	{ 0xa9f858ba, "_il_apm_stop" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4773cf24, "il_mac_bss_info_changed" },
	{ 0x4d6c4b2d, "il_send_cmd_pdu" },
	{ 0x78af168b, "il_alloc_txq_mem" },
	{ 0x44c9911, "il_is_ht40_tx_allowed" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7fcc9818, "il_usecs_to_beacons" },
	{ 0xda36d2ac, "ieee80211_free_hw" },
	{ 0x5012de2a, "il_hdl_spectrum_measurement" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0x8e1a6281, "ieee80211_get_tkip_p2k" },
	{ 0xda678adc, "il_setup_scan_deferred_work" },
	{ 0xc48e64f1, "__pci_register_driver" },
	{ 0xcec2531d, "il_scan_cancel" },
	{ 0x523520b2, "il_free_channel_map" },
	{ 0x8cb20881, "il_hdl_csa" },
	{ 0xc14e5397, "il_mac_flush" },
	{ 0xf70a693b, "il_bcast_addr" },
	{ 0xedc03953, "iounmap" },
	{ 0x8ba4ff00, "pci_disable_msi" },
	{ 0xc23ba7e6, "pci_request_regions" },
	{ 0x1ee09aa0, "il_set_bit" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb91a0472, "il_read_targ_mem" },
	{ 0x37a0cba, "kfree" },
	{ 0xd68ad265, "il_add_station_common" },
	{ 0x1c9e4110, "il_hdl_pm_debug_stats" },
	{ 0x7e8fdc95, "il_tx_cmd_protection" },
	{ 0x44850727, "ieee80211_register_hw" },
	{ 0xa394d2b4, "ieee80211_emulate_change_chanctx" },
	{ 0x69e5014f, "il_tx_cmd_complete" },
	{ 0xff6c3633, "il_check_rxon_cmd" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "iwlegacy,mac80211,cfg80211");

MODULE_ALIAS("pci:v00008086d00004229sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004230sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "7ACFA978F76E2273653FB52");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
