#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(mt76u_vendor_request, "_gpl", "");
KSYMTAB_FUNC(___mt76u_rr, "_gpl", "");
KSYMTAB_FUNC(___mt76u_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76u_single_wr, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_mcu_queue, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_resume_rx, "_gpl", "");
KSYMTAB_FUNC(mt76u_stop_tx, "_gpl", "");
KSYMTAB_FUNC(mt76u_queues_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76u_alloc_queues, "_gpl", "");
KSYMTAB_FUNC(__mt76u_init, "_gpl", "");
KSYMTAB_FUNC(mt76u_init, "_gpl", "");

SYMBOL_CRC(__mt76u_vendor_request, 0xf7afba40, "_gpl");
SYMBOL_CRC(mt76u_vendor_request, 0x42a34eb4, "_gpl");
SYMBOL_CRC(___mt76u_rr, 0x936fb375, "_gpl");
SYMBOL_CRC(___mt76u_wr, 0xf3827c51, "_gpl");
SYMBOL_CRC(mt76u_read_copy, 0xda661e4d, "_gpl");
SYMBOL_CRC(mt76u_single_wr, 0xfcb633e9, "_gpl");
SYMBOL_CRC(mt76u_alloc_mcu_queue, 0x2ad5d03b, "_gpl");
SYMBOL_CRC(mt76u_stop_rx, 0xc2706cc6, "_gpl");
SYMBOL_CRC(mt76u_resume_rx, 0x9f69faac, "_gpl");
SYMBOL_CRC(mt76u_stop_tx, 0x0b5ab46f, "_gpl");
SYMBOL_CRC(mt76u_queues_deinit, 0x2432e802, "_gpl");
SYMBOL_CRC(mt76u_alloc_queues, 0xae93a330, "_gpl");
SYMBOL_CRC(__mt76u_init, 0xcdc74a8f, "_gpl");
SYMBOL_CRC(mt76u_init, 0xceb2263a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0x61877671, "page_pool_destroy" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4616e0e3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x239e7e2f, "kthread_park" },
	{ 0x677a4c8b, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc776382f, "mt76_tx_status_check" },
	{ 0xb2f14f37, "wake_up_process" },
	{ 0xcd79f93c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x1ef53a3a, "__alloc_skb" },
	{ 0x8dac31eb, "usb_submit_urb" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x82c7dd4c, "kthread_unpark" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x36c7be8e, "build_skb" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7c8c48, "perf_trace_run_bpf_submit" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1d04ce0d, "usb_control_msg" },
	{ 0x6c66d3a7, "usb_poison_urb" },
	{ 0x15bdc75, "trace_event_reg" },
	{ 0x7b33148a, "usb_unpoison_urb" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbad0a395, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7ebb4408, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9972f1fc, "mt76_queue_tx_complete" },
	{ 0xf06d7f4e, "kthread_create_on_node" },
	{ 0xed0cee6a, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6e9f12b1, "mt76_rx_poll_complete" },
	{ 0x8e5abda7, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe218a5de, "param_ops_bool" },
	{ 0xb5c088af, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xf7d7bfc7, "usb_init_urb" },
	{ 0x59126af9, "skb_add_rx_frag_netmem" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf67b5b, "mt76_create_page_pool" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb2fccee9, "skb_to_sgvec" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x47ab27d5, "usb_free_urb" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x7af9e73b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7760e93b, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x36d4624, "trace_raw_output_prep" },
	{ 0x65c60a53, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdac55ed7, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7b38f2e, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4567aa09, "mt76_has_tx_pending" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mt76,usbcore");


MODULE_INFO(srcversion, "135D9876FC9445087BF5174");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
