#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x25c6de9c, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0xf0f923a4, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xa060a3bb, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xb3f201bb, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xdc816444, "_gpl");
SYMBOL_CRC(mt76x0_config, 0xd22b9738, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0xf1000319, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe831e44f, "mt76x02_mac_shared_key_setup" },
	{ 0xb71394a0, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf92c6e7e, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x339e192b, "_dev_info" },
	{ 0x931e9902, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xc574f61f, "ieee80211_queue_delayed_work" },
	{ 0x4589373e, "mt76_eeprom_init" },
	{ 0x70c151f5, "_dev_err" },
	{ 0xa749c409, "mt76x02_mac_setaddr" },
	{ 0xe517c789, "mt76_register_device" },
	{ 0x72340bcf, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9dec3e4b, "mt76x02_phy_set_band" },
	{ 0xc0ca0fa6, "mt76_set_channel" },
	{ 0x5f2f62be, "mt76x02_init_device" },
	{ 0xb21faf34, "ieee80211_wake_queues" },
	{ 0xd03a6e63, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xf6cb2a65, "mt76x02_phy_set_rxpath" },
	{ 0x3104bad8, "mt76x02_edcca_init" },
	{ 0x28f6e013, "mt76_eeprom_override" },
	{ 0x44192ea, "mt76x02_get_lna_gain" },
	{ 0xd4e93942, "mt76x02_init_debugfs" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3dab4ade, "ieee80211_stop_queues" },
	{ 0xa405a998, "mt76x02_mac_cc_reset" },
	{ 0x26743dc4, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe2759558, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd235594f, "____mt76_poll_msec" },
	{ 0x77a767e, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x35fa9bc4, "mt76x02_config_mac_addr_list" },
	{ 0xb0c7c1b8, "mt76_get_sar_power" },
	{ 0x18570c01, "mt76x02_eeprom_copy" },
	{ 0x4173e436, "mt76x02_mcu_calibrate" },
	{ 0x8adf221b, "mt76x02_mcu_function_select" },
	{ 0xcd3a5e12, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x66b6d721, "mt76x02_mac_wcid_setup" },
	{ 0xd40b93bb, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xdc8bb595, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x4fad8899, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb555211, "mt76_init_sar_power" },
	{ 0x1d3ab9f8, "mt76x02_phy_adjust_vga_gain" },
	{ 0x4ed6867e, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "CE2DD35AF09A8753CBEF0D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
