#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00lib_get_bssidx, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_beacondone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_pretbtt, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmastart, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_dmadone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_nomatch, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_txdone_noinfo, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_set_mac_address, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_probe_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_remove_dev, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00lib_resume, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_stop, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_add_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_remove_interface, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_config, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_configure_filter, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_tim, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_key, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_start, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_stats, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_flush, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_set_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_antenna, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_get_ringparam, "_gpl", "");
KSYMTAB_FUNC(rt2x00mac_tx_frames_pending, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_map_txskb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unmap_skb, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_for_each_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_get_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_pause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_unpause_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_start_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_stop_queues, "_gpl", "");
KSYMTAB_FUNC(rt2x00queue_flush_queues, "_gpl", "");

SYMBOL_CRC(rt2x00lib_get_bssidx, 0xeae0a224, "_gpl");
SYMBOL_CRC(rt2x00lib_beacondone, 0x6a6952d7, "_gpl");
SYMBOL_CRC(rt2x00lib_pretbtt, 0x928df84d, "_gpl");
SYMBOL_CRC(rt2x00lib_dmastart, 0x7fe1dac8, "_gpl");
SYMBOL_CRC(rt2x00lib_dmadone, 0xce06b326, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_nomatch, 0x0ad4f226, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone, 0x02aeaec3, "_gpl");
SYMBOL_CRC(rt2x00lib_txdone_noinfo, 0x4b190bba, "_gpl");
SYMBOL_CRC(rt2x00lib_rxdone, 0xe270183a, "_gpl");
SYMBOL_CRC(rt2x00lib_set_mac_address, 0xe2283ac4, "_gpl");
SYMBOL_CRC(rt2x00lib_probe_dev, 0xe57f89ab, "_gpl");
SYMBOL_CRC(rt2x00lib_remove_dev, 0xe17a10ae, "_gpl");
SYMBOL_CRC(rt2x00lib_suspend, 0x9856368c, "_gpl");
SYMBOL_CRC(rt2x00lib_resume, 0x6dc3ece3, "_gpl");
SYMBOL_CRC(rt2x00mac_tx, 0x9ab5bb70, "_gpl");
SYMBOL_CRC(rt2x00mac_start, 0xd44c915e, "_gpl");
SYMBOL_CRC(rt2x00mac_stop, 0xb38edbb6, "_gpl");
SYMBOL_CRC(rt2x00mac_reconfig_complete, 0x5c4da0d0, "_gpl");
SYMBOL_CRC(rt2x00mac_add_interface, 0xb249d8e8, "_gpl");
SYMBOL_CRC(rt2x00mac_remove_interface, 0x80052ae1, "_gpl");
SYMBOL_CRC(rt2x00mac_config, 0x9c1f303b, "_gpl");
SYMBOL_CRC(rt2x00mac_configure_filter, 0x149195b8, "_gpl");
SYMBOL_CRC(rt2x00mac_set_tim, 0x56f69da2, "_gpl");
SYMBOL_CRC(rt2x00mac_set_key, 0x041693b9, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_start, 0x7e518c7c, "_gpl");
SYMBOL_CRC(rt2x00mac_sw_scan_complete, 0xcc703c4e, "_gpl");
SYMBOL_CRC(rt2x00mac_get_stats, 0x29eda995, "_gpl");
SYMBOL_CRC(rt2x00mac_bss_info_changed, 0xf3bb3c9e, "_gpl");
SYMBOL_CRC(rt2x00mac_conf_tx, 0xd56982d7, "_gpl");
SYMBOL_CRC(rt2x00mac_rfkill_poll, 0x614479c5, "_gpl");
SYMBOL_CRC(rt2x00mac_flush, 0xcc2a7ccf, "_gpl");
SYMBOL_CRC(rt2x00mac_set_antenna, 0xc2060974, "_gpl");
SYMBOL_CRC(rt2x00mac_get_antenna, 0xa383506d, "_gpl");
SYMBOL_CRC(rt2x00mac_get_ringparam, 0x15c843bd, "_gpl");
SYMBOL_CRC(rt2x00mac_tx_frames_pending, 0xbb4d3286, "_gpl");
SYMBOL_CRC(rt2x00queue_map_txskb, 0x989b511c, "_gpl");
SYMBOL_CRC(rt2x00queue_unmap_skb, 0xd34ead17, "_gpl");
SYMBOL_CRC(rt2x00queue_for_each_entry, 0x10f43aee, "_gpl");
SYMBOL_CRC(rt2x00queue_get_entry, 0xc67cd0a4, "_gpl");
SYMBOL_CRC(rt2x00queue_pause_queue, 0xe6d9bd43, "_gpl");
SYMBOL_CRC(rt2x00queue_unpause_queue, 0x17982e33, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queue, 0x132121f0, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queue, 0x3a19d3e5, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queue, 0x5146939e, "_gpl");
SYMBOL_CRC(rt2x00queue_start_queues, 0x0ddc2a7f, "_gpl");
SYMBOL_CRC(rt2x00queue_stop_queues, 0x6028f666, "_gpl");
SYMBOL_CRC(rt2x00queue_flush_queues, 0x6e7bb3a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7af9e73b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x634ae0a9, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0x117470e0, "request_firmware" },
	{ 0x3d0bf730, "led_classdev_suspend" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa726da3e, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0xc2da5c9e, "led_classdev_unregister" },
	{ 0x44850727, "ieee80211_register_hw" },
	{ 0xf381a178, "__ieee80211_create_tpt_led_trigger" },
	{ 0x4975654c, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8b45a32b, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30800558, "dev_driver_string" },
	{ 0xe5fc99c5, "ieee80211_tx_status_skb" },
	{ 0xc9550c28, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x339e192b, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc574f61f, "ieee80211_queue_delayed_work" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x40fb7c4a, "ieee80211_ctstoself_get" },
	{ 0x593f2a41, "skb_pull" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4eb5e2fa, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb71b90e6, "ieee80211_free_txskb" },
	{ 0x85885239, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76cc1f17, "ieee80211_stop_queue" },
	{ 0xd45d980, "__netdev_alloc_skb" },
	{ 0x3dab4ade, "ieee80211_stop_queues" },
	{  0xac54a, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdc3b2a5b, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x15dae207, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa42cb73a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x71490448, "led_classdev_resume" },
	{ 0xb48ba342, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x24c6a898, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa061f8d2, "ieee80211_rts_get" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x8e3bb4fd, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x52793c74, "ieee80211_rx_napi" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1f2f85d, "ieee80211_iterate_interfaces" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "B16CEB370F2FF5D0EAD3FAB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
