#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8179f6d4, "rt2x00mmio_flush_queue" },
	{ 0x9ab5bb70, "rt2x00mac_tx" },
	{ 0xd44c915e, "rt2x00mac_start" },
	{ 0xb38edbb6, "rt2x00mac_stop" },
	{ 0xb249d8e8, "rt2x00mac_add_interface" },
	{ 0x80052ae1, "rt2x00mac_remove_interface" },
	{ 0x9c1f303b, "rt2x00mac_config" },
	{ 0xf3bb3c9e, "rt2x00mac_bss_info_changed" },
	{ 0x149195b8, "rt2x00mac_configure_filter" },
	{ 0x41693b9, "rt2x00mac_set_key" },
	{ 0x7e518c7c, "rt2x00mac_sw_scan_start" },
	{ 0xcc703c4e, "rt2x00mac_sw_scan_complete" },
	{ 0x29eda995, "rt2x00mac_get_stats" },
	{ 0x614479c5, "rt2x00mac_rfkill_poll" },
	{ 0xcc2a7ccf, "rt2x00mac_flush" },
	{ 0xc2060974, "rt2x00mac_set_antenna" },
	{ 0xa383506d, "rt2x00mac_get_antenna" },
	{ 0x15c843bd, "rt2x00mac_get_ringparam" },
	{ 0xbb4d3286, "rt2x00mac_tx_frames_pending" },
	{ 0x117a4b14, "ieee80211_emulate_add_chanctx" },
	{ 0xf80bf83, "ieee80211_emulate_remove_chanctx" },
	{ 0xa394d2b4, "ieee80211_emulate_change_chanctx" },
	{ 0x999d9fc5, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x87324864, "ieee80211_handle_wake_tx_queue" },
	{ 0xe218a5de, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc48e64f1, "__pci_register_driver" },
	{ 0x128debb4, "rt2x00pci_probe" },
	{ 0xd56982d7, "rt2x00mac_conf_tx" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe4e6c0eb, "rt2x00mmio_regbusy_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x70c151f5, "_dev_err" },
	{ 0xa328726b, "__skb_pad" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfcda2ce6, "pci_read_config_word" },
	{ 0x832055f0, "pci_unregister_driver" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0x6a6952d7, "rt2x00lib_beacondone" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4b190bba, "rt2x00lib_txdone_noinfo" },
	{ 0xc67cd0a4, "rt2x00queue_get_entry" },
	{ 0x2aeaec3, "rt2x00lib_txdone" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0xd21cff0c, "rt2x00mmio_rxdone" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xe2283ac4, "rt2x00lib_set_mac_address" },
	{ 0x339e192b, "_dev_info" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18760a9d, "rt2x00pci_remove" },
	{ 0xef0cef8, "rt2x00pci_pm_ops" },
	{ 0xd45f7ef1, "rt2x00mmio_initialize" },
	{ 0x43e6b649, "rt2x00mmio_uninitialize" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "rt2x00mmio,rt2x00lib,mac80211,rt2x00pci,crc-itu-t,eeprom_93cx6");

MODULE_ALIAS("pci:v00001814d00000301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000302sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000401sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "36F73A0E3A20BA1630FD0AC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
