#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x256557e3, "cxgb3_queue_tid_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x60285d68, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0xbca63527, "cxgbi_sock_skb_entail" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0x1ef53a3a, "__alloc_skb" },
	{ 0x84551b6b, "cxgbi_sock_closed" },
	{ 0x69b406e8, "cxgb3_insert_tid" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x20c854d6, "cxgbi_sock_established" },
	{ 0xdc93a769, "cxgbi_conn_tx_open" },
	{ 0xa7f56550, "cxgb3_free_atid" },
	{ 0xf65be89b, "cxgbi_sock_free_cpl_skbs" },
	{ 0xea46c0f, "cxgbi_sock_purge_wr_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xba6c4ef6, "cxgb3_remove_tid" },
	{ 0xdb5a51c5, "t3_l2e_free" },
	{ 0x4aa584db, "t3_l2t_get" },
	{ 0x486e3ff6, "cxgb3_alloc_atid" },
	{ 0x3722631, "ip6_mtu" },
	{ 0x7fb9ca0d, "cxgbi_sock_select_mss" },
	{ 0x86906546, "ipv4_mtu" },
	{ 0x9b5cbb89, "cxgbi_create_session" },
	{ 0x98b7220e, "cxgbi_destroy_session" },
	{ 0x15e2ed76, "cxgbi_create_conn" },
	{ 0x5e2e91e3, "iscsi_conn_unbind" },
	{ 0xf71a9fa4, "cxgbi_bind_conn" },
	{ 0xfc4a3afa, "iscsi_conn_start" },
	{ 0x7f79b124, "iscsi_conn_stop" },
	{ 0xc97bb627, "iscsi_tcp_conn_teardown" },
	{ 0x38d67dd0, "cxgbi_set_conn_param" },
	{ 0x69180ca3, "cxgbi_get_ep_param" },
	{ 0x991add98, "iscsi_conn_get_param" },
	{ 0x6e5b5791, "iscsi_session_get_param" },
	{ 0x5992b266, "cxgbi_get_host_param" },
	{ 0xc477cc1b, "cxgbi_set_host_param" },
	{ 0x998eaf30, "iscsi_conn_send_pdu" },
	{ 0x50bd53f4, "cxgbi_get_conn_stats" },
	{ 0xdec4c1e0, "iscsi_tcp_task_init" },
	{ 0x6f1ac709, "iscsi_tcp_task_xmit" },
	{ 0x52971c38, "cxgbi_cleanup_task" },
	{ 0xce596c77, "cxgbi_conn_alloc_pdu" },
	{ 0xf7fffb49, "cxgbi_conn_xmit_pdu" },
	{ 0xb91ca782, "cxgbi_conn_init_pdu" },
	{ 0x369af62e, "cxgbi_parse_pdu_itt" },
	{ 0xd721a1e1, "iscsi_session_recovery_timedout" },
	{ 0xd412d2f9, "cxgbi_ep_connect" },
	{ 0x9d4454c0, "cxgbi_ep_poll" },
	{ 0xcf85f8af, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xf32e3900, "iscsi_queuecommand" },
	{ 0x7c2a46c1, "iscsi_eh_abort" },
	{ 0xc799652b, "iscsi_eh_device_reset" },
	{ 0x5126a4b8, "iscsi_eh_recover_target" },
	{ 0x1fed708b, "iscsi_target_alloc" },
	{ 0x8697e525, "scsi_change_queue_depth" },
	{ 0x380faf5d, "iscsi_eh_cmd_timed_out" },
	{ 0x966a43fe, "param_ops_uint" },
	{ 0xaf2a91d8, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb3fd3c8e, "cxgbi_sock_rcv_wr_ack" },
	{ 0xf64dff89, "__kfree_skb" },
	{ 0x92997ed8, "_printk" },
	{ 0x1819d8eb, "cxgbi_device_find_by_lldev" },
	{ 0xba556d0, "cxgbi_device_unregister" },
	{ 0xfb48c26c, "cxgb3_ofld_send" },
	{ 0xadfe0ca6, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x47d119df, "sk_skb_reason_drop" },
	{ 0x8d769a23, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x21f4e22e, "cxgbi_sock_rcv_abort_rpl" },
	{ 0x8a9b4cec, "cxgbi_sock_rcv_peer_close" },
	{ 0x480835b1, "cxgbi_iscsi_init" },
	{ 0x77c64ed9, "cxgb3_register_client" },
	{ 0x1032e545, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0x8d63c45a, "cxgbi_iscsi_cleanup" },
	{ 0xa32e3ab, "cxgbi_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0x4bebe30, "cxgbi_ddp_ppm_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda9c1881, "cxgbi_device_portmap_create" },
	{ 0x3a85261b, "cxgbi_hbas_add" },
	{ 0xa2181a8f, "t3_l2t_send_slow" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8f5d8386, "skb_copy_bits" },
	{ 0x22c952c2, "cxgbi_conn_pdu_ready" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa326c5cb, "___pskb_trim" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "cxgb3,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod,libcxgb");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
