#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x36caeb67, "bio_add_page" },
	{ 0x5985e960, "crypto_shash_update" },
	{ 0x400d8393, "from_vfsgid" },
	{ 0xf0564515, "bio_split_rw" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb83c3bd5, "alloc_pages_bulk_noprof" },
	{ 0xbd2beefb, "iov_iter_alignment" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2dd78cf5, "__audit_inode_child" },
	{ 0x219dd515, "d_obtain_alias" },
	{ 0xa446aa12, "file_modified" },
	{ 0xca37c33c, "radix_tree_iter_resume" },
	{ 0xa626530c, "sysfs_create_group" },
	{ 0x295afd28, "posix_acl_chmod" },
	{ 0xa67d6230, "copy_page_to_iter" },
	{ 0xaeac049a, "generate_random_guid" },
	{ 0x715e96b8, "__put_devmap_managed_folio_refs" },
	{ 0x7ebb4408, "kthread_stop" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xf9fa0708, "kthread_associate_blkcg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x862a46a1, "read_cache_page_gfp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0x13cf154, "inode_add_bytes" },
	{ 0xddd3fbc9, "__folio_start_writeback" },
	{ 0xb80aed61, "bpf_trace_run1" },
	{ 0xb7ba674e, "folio_end_writeback" },
	{ 0x37065cd8, "folio_alloc_noprof" },
	{ 0x29ba3d36, "from_kuid" },
	{ 0x892dd95, "bio_init" },
	{ 0xdca5759c, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0xd619ef0e, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x73760edb, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x873d22bd, "bio_associate_blkg_from_css" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b2da84d, "generic_remap_file_range_prep" },
	{ 0x26ed323e, "misc_register" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6b1285a4, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc417a4e2, "__insert_inode_hash" },
	{ 0xd9f12408, "bio_reset" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1ed81b8a, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe605783, "inode_update_time" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6ca45fed, "filemap_get_folios" },
	{ 0x720aee80, "blkcg_root_css" },
	{ 0x33096cda, "blkcg_punt_bio_submit" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0xba088fd3, "make_kgid" },
	{ 0xb0c9d0aa, "invalidate_bdev" },
	{ 0xece784c2, "rb_first" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xed2fdd31, "d_delete" },
	{ 0xdc0e5a47, "wbc_account_cgroup_owner" },
	{ 0x2140d5cb, "end_page_writeback" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x9b024fb9, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xe8485728, "truncate_setsize" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x67f49a34, "insert_inode_locked4" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf06d7f4e, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x745a981, "xa_erase" },
	{ 0xfa95dcfe, "sysfs_remove_group" },
	{ 0xed0cee6a, "bpf_trace_run3" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0xb15b4109, "crc32c" },
	{ 0x639f5edd, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x40113c98, "super_setup_bdi" },
	{ 0xb0d6200a, "igrab" },
	{ 0x258a2c02, "_raw_write_trylock" },
	{ 0x919fbe51, "page_cache_sync_ra" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xffe6bec4, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x93e81741, "d_instantiate_new" },
	{ 0x8e5abda7, "trace_event_buffer_reserve" },
	{ 0xe8eae478, "bio_uninit" },
	{ 0x29f88839, "set_page_writeback" },
	{ 0xdfc12ef1, "zstd_decompress_stream" },
	{ 0x41bde3a8, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x72ccfb33, "filemap_fdatawait_range" },
	{ 0x2a90c428, "add_to_page_cache_lru" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xea6f9a36, "zlib_deflate_dfltcc_enabled" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x29a4d2e, "bioset_init" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0xcc9eec0f, "simple_rename_timestamp" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x402f4503, "invalidate_inode_pages2" },
	{ 0xe091c977, "list_sort" },
	{ 0x8dd42b5a, "inode_set_ctime_current" },
	{ 0x503b47b, "inc_nlink" },
	{ 0xa250d953, "seq_write" },
	{ 0x8bd5be94, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9b0daa01, "sysfs_create_files" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2c666573, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3316038c, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xb3dd2e6, "dput" },
	{ 0xf09cc34, "schedule_timeout_killable" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xa7fe5438, "iov_iter_zero" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff37e8e2, "deactivate_locked_super" },
	{ 0x3aec2f29, "touch_atime" },
	{ 0x802cbba0, "filemap_read" },
	{ 0x38c6e059, "__percpu_down_read" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x33e40df3, "tag_pages_for_writeback" },
	{ 0x272e175, "balance_dirty_pages_ratelimited_flags" },
	{ 0x7bb525de, "kobject_uevent" },
	{ 0x7b7f9544, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb6479f61, "posix_acl_update_mode" },
	{ 0xe3029323, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x84bbf34, "truncate_inode_pages_range" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xf2528522, "alloc_pages_noprof" },
	{ 0x3222064b, "__folio_lock" },
	{ 0x2ccf04c1, "folio_wait_bit" },
	{ 0xc926391c, "filemap_dirty_folio" },
	{ 0x1cbc3fe2, "pagecache_get_page" },
	{ 0x8bd4aef7, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xca9beaa4, "__xa_store" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc7a150db, "rcuwait_wake_up" },
	{ 0xbcc2ad6d, "file_bdev" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x8f3ae2fa, "__iomap_dio_rw" },
	{ 0xc078d22c, "zstd_init_cstream" },
	{ 0x8dba8b6f, "file_ra_state_init" },
	{ 0x91f9064b, "__fs_parse" },
	{ 0xff461bb3, "filemap_splice_read" },
	{ 0xb842e1e4, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfece479c, "dget_parent" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0x6af292fd, "kill_anon_super" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x5af4348c, "d_parent_ino" },
	{ 0x47709e42, "free_anon_bdev" },
	{ 0xcc567e03, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x3cbb940b, "zstd_init_dstream" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf073cb2f, "fsverity_ioctl_measure" },
	{ 0x6f7c65e5, "generic_write_checks" },
	{ 0xd6d595cb, "iov_iter_revert" },
	{ 0x9371b03a, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7338f5b9, "generic_write_checks_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x3c6d7c4f, "filemap_fault" },
	{ 0x27864d57, "memparse" },
	{ 0x1a4a9345, "crypto_alloc_shash" },
	{ 0xd6f8c498, "d_invalidate" },
	{ 0x45228fd2, "__mark_inode_dirty" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xa9c6f3af, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xebd1f686, "mtree_insert" },
	{ 0x284ddf28, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xad8e736d, "iomap_dio_bio_end_io" },
	{ 0x498d5eaa, "submit_bio_wait" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xa4c99166, "drop_nlink" },
	{ 0xdb6e8358, "fault_in_iov_iter_readable" },
	{ 0x9102c45, "blkdev_report_zones" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3706dcee, "fs_param_is_u64" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x608d0267, "zstd_get_error_code" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xdd30cf69, "iget_failed" },
	{ 0x3f43ce08, "kernel_write" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x1e7ad0be, "fs_bio_set" },
	{ 0x980f3877, "kmem_cache_destroy" },
	{ 0xafe2aa4d, "bio_split" },
	{ 0x4e8f828, "mtree_load" },
	{ 0x13584efe, "kset_create_and_add" },
	{ 0xac8515ef, "blkdev_issue_discard" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2de08703, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d26675e, "zstd_cstream_workspace_bound" },
	{ 0x35b7c9c6, "truncate_inode_pages" },
	{ 0xf1d2213b, "folio_invalidate" },
	{ 0x12f79479, "inode_update_timestamps" },
	{ 0xfec04ee9, "inode_init_owner" },
	{ 0x1b5277b, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x690d5302, "vfs_fsync_range" },
	{ 0xdb1f805, "setattr_prepare" },
	{ 0x7ed1b3bb, "filemap_migrate_folio" },
	{ 0x6293609d, "bdev_file_open_by_path" },
	{ 0xdb36dcbd, "shrinker_alloc" },
	{ 0x5fccbf99, "clear_nlink" },
	{ 0xbbc4d392, "sync_blockdev_range" },
	{ 0x1c79a9d3, "file_check_and_advance_wb_err" },
	{ 0x4d60bf54, "filemap_flush" },
	{ 0xbbc88ea4, "page_cache_async_ra" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x63abcaa7, "filemap_get_folios_tag" },
	{ 0x901d24e0, "wbc_detach_inode" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x8f33157a, "d_instantiate" },
	{ 0xf2cb554f, "_copy_to_iter" },
	{ 0x26abba64, "fsverity_ioctl_enable" },
	{ 0xb53e9d63, "pagecache_isize_extended" },
	{ 0xb022bea4, "misc_deregister" },
	{ 0x7774a884, "__bio_add_page" },
	{ 0xff5bc5eb, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x137a99e4, "clear_inode" },
	{ 0xcaad2607, "bpf_trace_run4" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xffc4f200, "zstd_compress_stream" },
	{ 0x3f34644d, "zstd_dstream_workspace_bound" },
	{ 0xf79c958f, "filemap_range_has_page" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x93f6ccae, "simple_dir_inode_operations" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x3a0b08cb, "discard_new_inode" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xf2e5bd87, "security_free_mnt_opts" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba0c3bdb, "__fsverity_cleanup_inode" },
	{ 0x80a717a8, "__percpu_counter_compare" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdba71428, "fs_param_is_string" },
	{ 0xcba7f0b8, "__folio_batch_release" },
	{ 0x21d3d2de, "folio_unlock" },
	{ 0x32451886, "set_blocksize" },
	{ 0x9c31ee79, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xff6b4594, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd4fc2f9c, "filemap_map_pages" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x144d2f96, "try_to_writeback_inodes_sb" },
	{ 0x392b6c0d, "dump_page" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x36d4624, "trace_raw_output_prep" },
	{ 0x580efc28, "kobject_rename" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xfca91d31, "init_special_inode" },
	{ 0xc631f4fd, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x67b60e6e, "import_iovec" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9547b033, "bpf_trace_run6" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xbd61fabb, "generic_error_remove_folio" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x56fd36cc, "filemap_fdatawrite_range" },
	{ 0x65c60a53, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x4df8fbc, "lzo1x_decompress_safe" },
	{ 0x41bb6381, "bio_add_folio_nofail" },
	{ 0x8247325e, "d_make_root" },
	{ 0xdac55ed7, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa9ce7283, "__fsverity_file_open" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x1057a279, "bsearch" },
	{ 0x1af08372, "fget" },
	{ 0x787c882b, "lzo1x_1_compress" },
	{ 0x23967b1, "xas_find" },
	{ 0x75ea7e74, "invalidate_mapping_pages" },
	{ 0xcf2a6966, "up" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xcd45aef5, "sync_filesystem" },
	{ 0x32ce3777, "radix_tree_preload" },
	{ 0x5ecfa4ed, "kobject_init" },
	{ 0xd07f543, "get_anon_bdev" },
	{ 0x9084e7a0, "fsnotify" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd1e583b, "sget_fc" },
	{ 0x78c6ec9b, "d_splice_alias" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf733b9e2, "current_time" },
	{ 0xf7b38f2e, "trace_event_raw_init" },
	{ 0x9ca75824, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9c118448, "from_vfsuid" },
	{ 0x6bf3de43, "ihold" },
	{ 0x6b903876, "fsverity_verify_blocks" },
	{ 0x6e9424b7, "page_get_link" },
	{ 0xa4587996, "inode_dio_wait" },
	{ 0x87eb4e2e, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x364af7b7, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x10578eac, "invalidate_inode_pages2_range" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x391d598f, "finish_open" },
	{ 0x1fdf972, "iput" },
	{ 0x528d4385, "filemap_range_has_writeback" },
	{ 0x8e5aacaa, "kset_unregister" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0xf43f6096, "fs_param_is_enum" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x36e0c61b, "wbc_attach_and_unlock_inode" },
	{ 0xb86ead65, "iter_file_splice_write" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x7570767e, "filemap_release_folio" },
	{ 0x4616e0e3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcf8f5700, "sysfs_remove_files" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x68b1e811, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xfa5eb49a, "register_filesystem" },
	{ 0x748a0e19, "d_tmpfile" },
	{ 0x218d546a, "kmem_cache_create" },
	{ 0xbfb270a2, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x89434b4b, "radix_tree_tag_clear" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x239e7e2f, "kthread_park" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xe19b7df, "filemap_add_folio" },
	{ 0x1006818b, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x7d9117bc, "clear_page_dirty_for_io" },
	{ 0x5206c78d, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7718a594, "iget5_locked_rcu" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6559e301, "d_prune_aliases" },
	{ 0xb2f14f37, "wake_up_process" },
	{ 0xb5453331, "shrinker_free" },
	{ 0xcd79f93c, "trace_event_buffer_commit" },
	{ 0x26d5590e, "fscrypt_setup_filename" },
	{ 0xc575719, "__cond_resched_rwlock_write" },
	{ 0xa65d1026, "filemap_get_folios_contig" },
	{ 0xe830c3ff, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x95df2b74, "simple_inode_init_ts" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xc7bc4370, "inode_get_bytes" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x7b11c57b, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x28bb9c0d, "inode_set_bytes" },
	{ 0xa6165ac8, "migrate_folio" },
	{ 0xdb4944d1, "lookup_one" },
	{ 0x65f7e8f7, "iomap_dio_rw" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x6d1b013, "add_swap_extent" },
	{ 0x6797b983, "fs_param_is_u32" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0xb72f7686, "inode_newsize_ok" },
	{ 0x346a5880, "lock_two_nondirectories" },
	{ 0xb7d637f7, "mnt_want_write_file" },
	{ 0x9a7c6e3b, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xb0b6b9e7, "posix_acl_from_xattr" },
	{ 0x93405391, "blkdev_zone_mgmt" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xbc596591, "make_kuid" },
	{ 0x8c496351, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xd35a475e, "inode_sub_bytes" },
	{ 0x1ad47328, "sync_blockdev" },
	{ 0x59b82145, "fs_kobj" },
	{ 0x8fdc8e15, "bio_add_folio" },
	{ 0x395b5cc6, "__filemap_set_wb_err" },
	{ 0x11487b7d, "simple_dir_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x4e20bcf8, "radix_tree_tag_set" },
	{ 0x18062a0c, "shrinker_register" },
	{ 0x33b84f74, "copy_page" },
	{ 0x947214b8, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1d9672bd, "fault_in_subpage_writeable" },
	{ 0x618911fc, "numa_node" },
	{ 0xa8ce8ec2, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe13a1e8d, "mtree_erase" },
	{ 0xca1919cb, "__check_sticky" },
	{ 0xf1993cfe, "__free_pages" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x9f984513, "strrchr" },
	{ 0x2a1c8c9e, "xattr_full_name" },
	{ 0xacb8fcd1, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xff7d9004, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x89404f43, "submit_bio" },
	{ 0xf9118299, "mnt_drop_write_file" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x30146dec, "sysfs_create_link" },
	{ 0x3b9e1433, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xc70842c7, "mntput" },
	{ 0xbd3eed53, "__folio_swap_cache_index" },
	{ 0xc2c5802, "work_busy" },
	{ 0xa3d76260, "inode_init_once" },
	{ 0x45c308b0, "bioset_exit" },
	{ 0xe1d44191, "compat_ptr_ioctl" },
	{ 0x6d63bf2a, "__fsnotify_parent" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9aa06a24, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x8e9bdb90, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0xc45ef43e, "bio_endio" },
	{ 0x54262665, "mount_subtree" },
	{ 0xc46e22a3, "__inode_attach_wb" },
	{ 0xc861f911, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf731aa03, "posix_acl_create" },
	{ 0xd333b64, "zstd_end_stream" },
	{ 0x4064b4a8, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7c8c48, "perf_trace_run_bpf_submit" },
	{ 0x508289df, "__bio_advance" },
	{ 0xc15d58e5, "sysfs_update_group" },
	{ 0xeee7df8b, "sysfs_unmerge_group" },
	{ 0x34fc266, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f25d9f4, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0x8cb480e0, "vfs_dup_fs_context" },
	{ 0xb7c0f443, "sort" },
	{ 0xc325eefc, "inode_maybe_inc_iversion" },
	{ 0x97d7419a, "unlock_page" },
	{ 0x54333875, "filemap_fdatawrite_wbc" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x3f26bacc, "thp_get_unmapped_area" },
	{ 0x614ea16c, "sysfs_remove_link" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb9af1d0d, "__xa_clear_mark" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8b82c9f6, "set_cached_acl" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0x60a9210e, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x284d4b09, "put_fs_context" },
	{ 0xfa384361, "unlock_two_nondirectories" },
	{ 0xf5c42f2d, "kobj_sysfs_ops" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x40c01219, "wait_on_page_writeback" },
	{ 0xc1f5cd08, "noop_llseek" },
	{ 0x344a2c84, "iomap_dio_complete" },
	{ 0x89f9a161, "folio_mark_accessed" },
	{ 0x39c2ffab, "sysfs_merge_group" },
	{ 0x6626afca, "down" },
	{ 0x6185b747, "radix_tree_gang_lookup_tag" },
	{ 0x6c160624, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x8746f96b, "setattr_copy" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x572cdcbe, "file_update_time" },
	{ 0x4921fce0, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x677db41, "kmem_cache_alloc_lru_noprof" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x9426aa83, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x2099645c, "security_inode_init_security" },
	{ 0x76fe4785, "from_kgid" },
	{ 0x15bdc75, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x609d1c32, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xbac9406b, "folio_wait_writeback" },
	{ 0xf31b3fd1, "workqueue_set_max_active" },
	{ 0x4016ea68, "rw_verify_area" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4ef2e8f9, "blkdev_issue_zeroout" },
	{ 0x1fbaf100, "fault_in_iov_iter_writeable" },
	{ 0xbeed32d3, "file_remove_privs" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf2a35f94, "blk_stack_limits" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x864b9414, "kobject_init_and_add" },
	{ 0x1ab7a3ea, "zero_fill_bio_iter" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "7F4A6C15181191319BA8B49");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
