#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x8325acee, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xffac59fd, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x3f976fdd, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x6945883e, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x6b589d56, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x31c14a94, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x5dacbae4, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xfe323ec1, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x1d427a48, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0xac2a5972, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0xfeb17825, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x0facaff2, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x1882457e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5b3f19fe, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x103e2555, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x84efaabe, "crypto_grab_aead" },
	{ 0x233213b3, "crypto_grab_shash" },
	{ 0xc0680f4c, "shash_no_setkey" },
	{ 0x9fe68049, "ahash_register_instance" },
	{ 0x8a03ba9e, "crypto_grab_skcipher" },
	{ 0x46a6d0fe, "skcipher_register_instance" },
	{ 0xd167dbd5, "aead_register_instance" },
	{ 0xe2a264b9, "crypto_skcipher_decrypt" },
	{ 0xaa720880, "crypto_skcipher_encrypt" },
	{ 0x738b8776, "shash_ahash_digest" },
	{ 0x2d474d92, "shash_ahash_finup" },
	{ 0x41bde3a8, "crypto_shash_final" },
	{ 0xa2fc0d53, "shash_ahash_update" },
	{ 0x966a43fe, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x745288f9, "crypto_alloc_skcipher" },
	{ 0xe830c3ff, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8638750e, "crypto_alloc_ahash" },
	{ 0x472ee49e, "crypto_alloc_aead" },
	{ 0x848ed1a9, "crypto_skcipher_setkey" },
	{ 0xf10a0cab, "crypto_spawn_tfm2" },
	{ 0x54722bb9, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x9f19e478, "crypto_shash_setkey" },
	{ 0xa93b45, "crypto_shash_import" },
	{ 0xafb5e41b, "crypto_shash_export" },
	{ 0x30b8c60d, "crypto_clone_shash" },
	{ 0x50263039, "crypto_aead_setauthsize" },
	{ 0xa45a7ac4, "crypto_aead_setkey" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0xfd4a734, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x505eca07, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6EC7CF175001F17908D20C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
