#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a2d9aba, "device_get_ethdev_address" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4eb5e2fa, "skb_push" },
	{ 0x61ac651d, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5a8a78a0, "platform_device_add" },
	{ 0xe968dec3, "register_netdev" },
	{ 0xd894d024, "free_netdev" },
	{ 0x32fc67aa, "platform_device_alloc" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x62104c45, "ethtool_op_get_link" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3bad8461, "netif_tx_wake_queue" },
	{ 0xd453b415, "phy_find_first" },
	{ 0x963df659, "phy_validate_pause" },
	{ 0x83f1ad1c, "phy_start" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x87c22c99, "device_get_match_data" },
	{ 0xd0053565, "phy_mac_interrupt" },
	{ 0x4ed3424e, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcfad37aa, "phy_print_status" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf935d9d7, "phy_start_aneg" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xd45d980, "__netdev_alloc_skb" },
	{ 0x9593c2a, "phy_ethtool_get_eee" },
	{ 0xfb384d37, "kasprintf" },
	{  0xac54a, "skb_trim" },
	{ 0xf8f2fd70, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa6b96ef1, "__platform_driver_register" },
	{ 0xd8a2479c, "dma_set_coherent_mask" },
	{ 0x3a039ead, "devm_clk_get_optional" },
	{ 0x2daa9b3c, "skb_realloc_headroom" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2497284c, "phy_get_pause" },
	{ 0x2fdbf71, "__genphy_config_aneg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd5dbfe58, "netif_carrier_off" },
	{ 0x2cf252a3, "device_get_phy_mode" },
	{ 0xd341a80c, "platform_get_irq_optional" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe17756c0, "phy_ethtool_get_wol" },
	{ 0xd423180d, "netif_carrier_on" },
	{ 0x9dfd6d80, "phy_ethtool_nway_reset" },
	{ 0x373b0d5, "dql_reset" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0x4ab42e4f, "phy_ethtool_ksettings_get" },
	{ 0x97653f40, "phy_init_hw" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x985c3fbe, "phy_ethtool_ksettings_set" },
	{ 0x4b4062b1, "phy_resume" },
	{ 0x56e94690, "__napi_schedule_irqoff" },
	{ 0x7da6463b, "napi_schedule_prep" },
	{ 0x1910fe41, "napi_disable" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0xaa463114, "phy_stop" },
	{ 0xb3871442, "phy_do_ioctl_running" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0x67cd5a3c, "phy_disconnect" },
	{ 0xb546b666, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9a4f106b, "netdev_crit" },
	{ 0xf4c7272e, "alloc_etherdev_mqs" },
	{ 0xf9950c7b, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9a0ba27e, "phy_set_max_speed" },
	{ 0x24fc7ecf, "device_set_wakeup_enable" },
	{ 0xcb1a6a67, "devm_platform_ioremap_resource" },
	{ 0x4b886e51, "is_acpi_device_node" },
	{ 0xc54ee7db, "device_set_wakeup_capable" },
	{ 0x8f05ebbb, "devm_request_threaded_irq" },
	{ 0x7af9e73b, "skb_put" },
	{ 0x4a7af0be, "skb_tstamp_tx" },
	{ 0xe1a13cde, "platform_driver_unregister" },
	{ 0x634ae0a9, "consume_skb" },
	{ 0x1099caaf, "platform_get_irq" },
	{ 0x871767f6, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9a21e3a, "phy_attach" },
	{ 0x66c695b8, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0x64a6cfac, "phy_ethtool_set_eee" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0x3d3aa22f, "phy_ethtool_set_wol" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x6458cf68, "netdev_warn" },
	{ 0xe2964344, "__wake_up" },
	{ 0x33e01b3b, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x97ab04c9, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50ff3dad, "platform_device_add_data" },
	{ 0x30800558, "dev_driver_string" },
	{ 0xeaba63d4, "dev_addr_mod" },
	{ 0xac5b2fb4, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0xa9630cbe, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x74e07b4d, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a6a755, "put_device" },
	{ 0xe2c795e1, "phy_connect_direct" },
	{ 0x7f52071a, "net_dim" },
	{ 0x48fe6bae, "netif_device_detach" },
	{ 0x339e192b, "_dev_info" },
	{ 0x29dc9a04, "napi_gro_receive" },
	{ 0x54a432b0, "netif_device_attach" },
	{ 0xcb95db75, "phy_init_eee" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x1a5974d, "platform_device_add_resources" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x69d0c0a8, "softnet_data" },
	{ 0xf26ecc3c, "phy_suspend" },
	{ 0x593f2a41, "skb_pull" },
	{ 0x33eae1a9, "fixed_phy_set_link_update" },
	{ 0x22198004, "mdio_find_bus" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4da09cb3, "fixed_phy_register" },
	{ 0x542a8b45, "netif_set_real_num_tx_queues" },
	{ 0x987b3bdc, "platform_device_unregister" },
	{ 0x5aa17c84, "platform_get_resource" },
	{ 0x49fa5b90, "netif_set_real_num_rx_queues" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "libphy,fixed_phy");

MODULE_ALIAS("of:N*T*Cbrcm,genet-v1");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v1C*");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v2");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v2C*");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v3");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v3C*");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v4");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v4C*");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v5");
MODULE_ALIAS("of:N*T*Cbrcm,genet-v5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-genet-v5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm2711-genet-v5C*");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7712-genet-v5");
MODULE_ALIAS("of:N*T*Cbrcm,bcm7712-genet-v5C*");
MODULE_ALIAS("acpi*:BCM6E4E:*");

MODULE_INFO(srcversion, "EB816875AA005E597EB207B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
