#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x91b57ac5, "octeon_free_sc_buffer_pool" },
	{ 0xb3d91b54, "octeon_allocate_ioq_vector" },
	{ 0xc57f2f93, "octeon_init_dispatch_list" },
	{ 0x64452e30, "octeon_register_dispatch_fn" },
	{ 0x2ec06c98, "octeon_delete_instr_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x19cb4e69, "liquidio_link_ctrl_cmd_completion" },
	{ 0x33e01b3b, "__netif_napi_del" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x832055f0, "pci_unregister_driver" },
	{ 0x2f224c3a, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x30800558, "dev_driver_string" },
	{ 0xeaba63d4, "dev_addr_mod" },
	{ 0x16d6b92a, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe47617b7, "octeon_setup_response_list" },
	{ 0x1f37468a, "octeon_get_rx_qsize" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x19366e6b, "octeon_allocate_device" },
	{ 0xa6d725f9, "octeon_free_ioq_vector" },
	{ 0x43d8a5dc, "octeon_setup_interrupt" },
	{ 0x48fe6bae, "netif_device_detach" },
	{ 0xdeecc766, "lio_process_iq_request_list" },
	{ 0x75e62935, "liquidio_setup_io_queues" },
	{ 0x339e192b, "_dev_info" },
	{ 0xde1717c6, "octeon_free_sc_done_list" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x913b4640, "octeon_get_tx_qsize" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5ffc3d35, "octeon_send_command" },
	{ 0xbdba3656, "octeon_free_soft_command" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x69d0c0a8, "softnet_data" },
	{ 0x1823bc89, "octeon_free_sc_zombie_list" },
	{ 0x3d631620, "octeon_alloc_soft_command" },
	{ 0xb20c7980, "octeon_set_io_queues_off" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe47d551d, "pcie_flr" },
	{ 0x61ac651d, "napi_enable" },
	{ 0xe968dec3, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd894d024, "free_netdev" },
	{ 0x58be8363, "liquidio_set_ethtool_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5e893acf, "octeon_delete_droq" },
	{ 0x715e96b8, "__put_devmap_managed_folio_refs" },
	{ 0x12f7494c, "octeon_delete_response_list" },
	{ 0xe28842c8, "lio_process_ordered_list" },
	{ 0xe78787f7, "pci_restore_state" },
	{ 0x3bad8461, "netif_tx_wake_queue" },
	{ 0x23be01a9, "octeon_delete_dispatch_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x9da93959, "octeon_droq_check_hw_for_pkts" },
	{ 0x241a2a6c, "lio_fetch_stats" },
	{ 0xfefed0de, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x607f4f23, "lio_wait_for_instr_fetch" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8a2479c, "dma_set_coherent_mask" },
	{ 0xeb3b7a1b, "lio_setup_glists" },
	{ 0xac187f17, "cn23xx_vf_ask_pf_to_do_flr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x40e16f52, "octeon_alloc_soft_command_resp" },
	{ 0xd02758b, "octeon_prepare_soft_command" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x407a3664, "octeon_setup_instr_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8bd5be94, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd5dbfe58, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd423180d, "netif_carrier_on" },
	{ 0x3237d617, "octeon_unregister_droq_ops" },
	{ 0x7d267008, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe350c635, "pci_disable_device" },
	{ 0xf2175bff, "liquidio_change_mtu" },
	{ 0x7d09970, "dma_set_mask" },
	{ 0x62a50263, "netif_set_tso_max_size" },
	{ 0x6d0d28ef, "octeon_init_device_list" },
	{ 0xec7f00a5, "lio_get_state_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x1910fe41, "napi_disable" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0xaf2a91d8, "param_ops_int" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd1e5a7, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x863760, "pci_release_region" },
	{ 0x2f7d4051, "octeon_setup_sc_buffer_pool" },
	{ 0x5e120f3a, "pci_write_config_dword" },
	{ 0x990b0a76, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe3e26bdf, "lio_delete_glists" },
	{ 0x4347f43a, "octnet_send_nic_ctrl_pkt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf4c7272e, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x867dcbf, "pci_save_state" },
	{ 0xbc8c845c, "dev_set_mtu" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc72bd322, "octeon_free_device_mem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfc86afe8, "pci_cfg_access_unlock" },
	{ 0x62ead79, "octeon_send_soft_command" },
	{ 0x5d6147af, "pcie_reset_flr" },
	{ 0xad397d6f, "cn23xx_setup_octeon_vf_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xed7b51c1, "pci_enable_device" },
	{ 0x818a1bca, "setup_rx_oom_poll_fn" },
	{ 0x4a7af0be, "skb_tstamp_tx" },
	{ 0xa36f4d34, "octnet_send_nic_data_pkt" },
	{ 0x5c4a7fbe, "octeon_ring_doorbell_locked" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x874a8af1, "lio_wait_for_clean_oq" },
	{ 0xb104f5b4, "octeon_setup_output_queues" },
	{ 0x66c695b8, "unregister_netdev" },
	{ 0x1c4ad96f, "octeon_register_reqtype_free_fn" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0xd09e4c47, "liquidio_set_feature" },
	{ 0xb4c2b4ff, "cleanup_rx_oom_poll_fn" },
	{ 0xc48e64f1, "__pci_register_driver" },
	{ 0x605c4b41, "cn23xx_octeon_pfvf_handshake" },
	{ 0xedc03953, "iounmap" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "liquidio-core");

MODULE_ALIAS("pci:v0000177Dd00009712sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DA8FB1B92CB3B1EB545DC4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
