#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xa91a2a92, "");
SYMBOL_CRC(ath10k_info, 0x89ea49d1, "");
SYMBOL_CRC(ath10k_print_driver_info, 0xb410fa70, "");
SYMBOL_CRC(ath10k_err, 0x67a3d980, "");
SYMBOL_CRC(ath10k_warn, 0x1ac4222b, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0x553a4413, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xa87f2f05, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0xf41f3051, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xf4b4dee2, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x122bbe32, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0xe2a8cc37, "");
SYMBOL_CRC(ath10k_core_start, 0x7e535873, "");
SYMBOL_CRC(ath10k_core_stop, 0x0e3d214c, "");
SYMBOL_CRC(ath10k_core_register, 0x1b5dd53f, "");
SYMBOL_CRC(ath10k_core_unregister, 0x1c575c4e, "");
SYMBOL_CRC(ath10k_core_create, 0xde549b46, "");
SYMBOL_CRC(ath10k_core_destroy, 0x4eddbc30, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0xb6e81ac2, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x09cd5504, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0xe6f336f7, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0x8421acd5, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x61230cc0, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0x8d30aa03, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xb44d02bc, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0xe82ce7ee, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x1b5c0c8b, "");
SYMBOL_CRC(ath10k_bmi_start, 0x65c9469d, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x00e31522, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x0fb81529, "");
SYMBOL_CRC(ath10k_coredump_new, 0x9a334149, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0x1736c0ff, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x611fd0dd, "");
SYMBOL_CRC(ath10k_ce_send, 0xc8382fc2, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0xc731da9b, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xc251ab92, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xe7d8a124, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xe4d0fc92, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xa16342d7, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x5f0e5280, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x8f1cffa2, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0x91062a81, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xd047f834, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x63d6d409, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x4095c22d, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xb1214c62, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x65cd9a85, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x4fd960cf, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xf16d2179, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x400f1ba1, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x305a69bd, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x9d3261b1, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0xaf33e793, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x71e485e3, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x9ba42aae, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xbef3ade9, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0xc69f50b7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x1910fe41, "napi_disable" },
	{ 0xaa129368, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x6b51e3d4, "__cfg80211_get_bss" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x88e1f93f, "skb_queue_head" },
	{ 0x52793c74, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0xc143a28c, "ieee80211_beacon_update_cntdwn" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x24fc7ecf, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xfb85869f, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4b886e51, "is_acpi_device_node" },
	{ 0xc54ee7db, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf090f8c0, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0x966a43fe, "param_ops_uint" },
	{ 0x6d2a6d6c, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe412851f, "devm_kmalloc" },
	{ 0x7af9e73b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x714fe8d0, "firmware_request_nowarn" },
	{ 0x634ae0a9, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x75e34807, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x42b17d73, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe1c7ab0a, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xda36d2ac, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x3dc740fc, "dma_unmap_page_attrs" },
	{ 0xfbbba8b1, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x2486dd18, "ieee80211_iterate_stations_atomic" },
	{ 0xa726da3e, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x30ab8cab, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x5f3af759, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0x3ee30c4d, "thermal_cooling_device_register" },
	{ 0xc2da5c9e, "led_classdev_unregister" },
	{ 0x44850727, "ieee80211_register_hw" },
	{ 0x59a5ceaa, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8b45a32b, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x74a44690, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4102e88, "pskb_expand_head" },
	{ 0xd9cb7db8, "skb_queue_purge_reason" },
	{ 0x30800558, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x680bca01, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7172573d, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x865bdc9a, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x13e62d45, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x339e192b, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x252e6815, "skb_queue_tail" },
	{ 0x359b87be, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x30146dec, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9b9dbdc4, "wiphy_to_ieee80211_hw" },
	{ 0xf56f3a1c, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc574f61f, "ieee80211_queue_delayed_work" },
	{ 0x2c4faf91, "ieee80211_proberesp_get" },
	{ 0x70c151f5, "_dev_err" },
	{ 0x593f2a41, "skb_pull" },
	{ 0x614ea16c, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf1177016, "init_uts_ns" },
	{ 0x47d119df, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3838e9ce, "ieee80211_find_sta_by_ifaddr" },
	{ 0xa5f54046, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7409c46, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4eb5e2fa, "skb_push" },
	{ 0xfff7d72b, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x61ac651d, "napi_enable" },
	{ 0x87634664, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb21faf34, "ieee80211_wake_queues" },
	{ 0xd894d024, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf043ab88, "ieee80211_report_low_ack" },
	{ 0x3a54c1, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb71b90e6, "ieee80211_free_txskb" },
	{ 0x85885239, "led_classdev_register_ext" },
	{ 0x7cad44ec, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa98ea984, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x4a60637b, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x29c0fe4d, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x154ca1c4, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xfe95e224, "devm_nvmem_cell_get" },
	{ 0x76cc1f17, "ieee80211_stop_queue" },
	{ 0xd45d980, "__netdev_alloc_skb" },
	{ 0x388ea6bb, "ieee80211_ready_on_channel" },
	{ 0x3dab4ade, "ieee80211_stop_queues" },
	{  0xac54a, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2daa9b3c, "skb_realloc_headroom" },
	{ 0xdc3b2a5b, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9e5ec033, "alloc_netdev_dummy" },
	{ 0x5ea9965e, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x2c1f6f5e, "ieee80211_scan_completed" },
	{ 0xa42cb73a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe218a5de, "param_ops_bool" },
	{ 0x5df9944c, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb48ba342, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1cd17125, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x24c6a898, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd053c0df, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2cc3b9f0, "ieee80211_tdls_oper_request" },
	{ 0x82acd1c3, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb4b15139, "thermal_cooling_device_unregister" },
	{ 0x5e7001bb, "ieee80211_tx_rate_update" },
	{ 0x8e3bb4fd, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "3F5A4D72864CB925DFFBBB0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
