#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30866a59, "kernel_recvmsg" },
	{ 0xf5b4cb40, "skb_copy_and_hash_datagram_iter" },
	{ 0x1c352049, "sock_alloc_file" },
	{ 0xa30d3119, "__dynamic_dev_dbg" },
	{ 0x70c24922, "nvme_disable_ctrl" },
	{ 0xf71ccd2d, "nvme_should_fail" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0xec8aa316, "__dev_get_by_name" },
	{ 0xb7924a2e, "nvmf_set_io_queues" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdbe90f01, "sock_set_priority" },
	{ 0xe830c3ff, "crypto_destroy_tfm" },
	{ 0xc7b43c53, "nvme_tls_psk_default" },
	{ 0xa1a49c20, "nvmf_get_address" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xd6bb6a86, "nvme_remove_io_tag_set" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa620153b, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd88a0f1b, "nvmf_unregister_transport" },
	{ 0x6a6a755, "put_device" },
	{ 0xa8ce8ec2, "const_pcpu_hot" },
	{ 0xf9caa987, "nvme_change_ctrl_state" },
	{ 0x756ea6d4, "nvme_cancel_tagset" },
	{ 0x339e192b, "_dev_info" },
	{ 0x176397d3, "nvme_init_ctrl" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0x34cb46c0, "nvme_alloc_io_tag_set" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x302b5fb6, "tcp_sock_set_syncnt" },
	{ 0xf31cd644, "nvme_fail_nonready_command" },
	{ 0xb637effb, "key_put" },
	{ 0x7acf684e, "crypto_ahash_init" },
	{ 0x34fc266, "fput" },
	{ 0x70c151f5, "_dev_err" },
	{ 0xe5145a72, "init_net" },
	{ 0xbf03abf5, "__SCK__tp_func_sk_data_ready" },
	{ 0x7657fc75, "kernel_getsockname" },
	{ 0x26833de1, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9c015810, "blk_sync_queue" },
	{ 0x4a1241cd, "nvmf_map_queues" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcb66622c, "nvmf_reg_read64" },
	{ 0x3d7ff023, "inet_pton_with_scope" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd13270ea, "sock_sendmsg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x10347207, "lock_sock_nested" },
	{ 0x911c1d9e, "nvmf_connect_admin_queue" },
	{ 0x873f8049, "nvmf_ip_options_match" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5dbb1e92, "skb_copy_datagram_iter" },
	{ 0x813cf212, "nvme_io_timeout" },
	{ 0x31b39880, "tcp_stream_memory_free" },
	{ 0x7729ff76, "nvme_enable_ctrl" },
	{ 0xdac90249, "nvme_unquiesce_admin_queue" },
	{ 0x8024193a, "sk_set_memalloc" },
	{ 0xa1773dbb, "kernel_connect" },
	{ 0x31ce7fc9, "_dev_warn" },
	{ 0x785a924, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f190627, "crypto_ahash_digest" },
	{ 0xee479621, "crypto_ahash_final" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xffe3ec67, "nvme_unquiesce_io_queues" },
	{ 0xa0ce8b03, "blk_mq_update_nr_hw_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdb9d92f0, "nvmf_reg_write32" },
	{ 0x6b4a83f6, "blk_mq_complete_request" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe218a5de, "param_ops_bool" },
	{ 0xa15a5a7b, "nvmf_should_reconnect" },
	{ 0x3b318394, "nvme_complete_async_event" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x9ce73c3c, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x624a34f8, "nvmf_register_transport" },
	{ 0x9b39b6db, "blk_mq_start_request" },
	{ 0xf2e0d976, "nvme_quiesce_io_queues" },
	{ 0x3ca5ee7a, "nvme_unfreeze" },
	{ 0xe0a5ddc7, "nvme_stop_ctrl" },
	{ 0xffd70a8a, "nvme_auth_stop" },
	{ 0x67b2ed59, "tcp_sock_set_nodelay" },
	{ 0xef7307ba, "page_frag_cache_drain" },
	{ 0x4ce0f44d, "__page_frag_alloc_align" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xaf2a91d8, "param_ops_int" },
	{ 0xf3a19649, "crypto_ahash_update" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x69d7e6fb, "nvme_init_ctrl_finish" },
	{ 0xc634594a, "kernel_sendmsg" },
	{ 0xdfa3e879, "nvme_quiesce_admin_queue" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x90aba34f, "sock_setsockopt" },
	{ 0x39a3637e, "nvme_tls_key_lookup" },
	{ 0x3db2e057, "__nvme_check_ready" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0x652c98f2, "release_sock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe6d614ba, "nvme_add_ctrl" },
	{ 0x5ad6a09f, "sock_no_linger" },
	{ 0x7a951887, "nvme_remove_admin_tag_set" },
	{ 0xe1cf8f9e, "nvme_sync_io_queues" },
	{ 0x8638750e, "crypto_alloc_ahash" },
	{ 0x2a980492, "nvme_uninit_ctrl" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6b1b5d2b, "tls_client_hello_psk" },
	{ 0x8f5d8386, "skb_copy_bits" },
	{ 0x7f00b6c0, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xe14222b6, "nvme_wait_freeze_timeout" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x313ff7fa, "ip_sock_set_tos" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x88c069d8, "nvme_cancel_admin_tagset" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e367bfa, "nvmf_free_options" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xbb308093, "nvmf_subsystem_reset" },
	{ 0x2f0d906d, "iov_iter_single_seg_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xed466048, "nvme_stop_keep_alive" },
	{ 0xb563c958, "blk_mq_complete_request_remote" },
	{ 0xd11d7608, "iov_iter_advance" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x7cce6029, "nvme_setup_cmd" },
	{ 0x96848186, "scnprintf" },
	{ 0xc65be8b, "nvme_start_freeze" },
	{ 0x8a81eef2, "kernel_bind" },
	{ 0x6724d814, "nvme_start_ctrl" },
	{ 0x47536798, "sock_create" },
	{ 0xb1097bf, "nvme_alloc_admin_tag_set" },
	{ 0x3380db9a, "nvmf_connect_io_queue" },
	{ 0xf139b8f4, "tls_handshake_cancel" },
	{ 0x22d249cf, "tls_get_record_type" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xe15ecd44, "__tracepoint_sk_data_ready" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x597ae602, "nvmf_reg_read32" },
	{ 0x4da489d2, "nvme_delete_ctrl" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring,nvme-fabrics");


MODULE_INFO(srcversion, "1143F9BC3498519BD9CD2E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
