#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xad7391f6, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xa70cfad7, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xa1c3e58d, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x687cc96e, "");
SYMBOL_CRC(gss_mech_put, 0x24f09bc6, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xc18a4d48, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xb221c762, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c964e8, "rpcauth_init_credcache" },
	{ 0x201dd0b8, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xbea97a29, "xdr_init_decode" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x15bdc75, "trace_event_reg" },
	{ 0x254ce3ae, "rpc_call_null" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x715e96b8, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x31b4d51d, "rpc_sleep_on_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8f5ecbe1, "rpc_create" },
	{ 0xb80aed61, "bpf_trace_run1" },
	{ 0xa3279a7b, "rpc_call_sync" },
	{ 0x29ba3d36, "from_kuid" },
	{ 0x1d525d52, "unregister_pernet_subsys" },
	{ 0x3ddb5be7, "rpc_queue_upcall" },
	{ 0x3cec4af, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x558c336e, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc503791b, "svcauth_unix_set_client" },
	{ 0xadb00fba, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xba088fd3, "make_kgid" },
	{ 0x7b36b43f, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x51262cb7, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x48a6e3bd, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xed0cee6a, "bpf_trace_run3" },
	{ 0xe7790511, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xba02affb, "rpc_mkpipe_dentry" },
	{ 0x84e6542d, "rpc_mkpipe_data" },
	{ 0x2b7be9a8, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x8e5abda7, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xee127be2, "cache_register_net" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb55a7ffb, "xdr_inline_pages" },
	{ 0x8bd5be94, "__folio_put" },
	{ 0xdd4960c9, "remove_proc_entry" },
	{ 0x671dced6, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x101529e2, "rpc_init_wait_queue" },
	{ 0xb6a5f78b, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf2528522, "alloc_pages_noprof" },
	{ 0x80e07455, "rpc_unlink" },
	{ 0x3006ef34, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x909f84e2, "from_kuid_munged" },
	{ 0x2a0e2522, "rpcauth_init_cred" },
	{ 0x24193443, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x69bce807, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0x48bc6c90, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa9ba01ce, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x970f8ead, "sunrpc_cache_update" },
	{ 0xda91105f, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5b2a5b3, "rpc_destroy_wait_queue" },
	{ 0x7a859828, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfbce1013, "auth_domain_put" },
	{ 0x1c011435, "rpcauth_unwrap_resp_decode" },
	{ 0x8771cb90, "rpcauth_register" },
	{ 0x38f7e6da, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x5d52fe1e, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7e7be8a6, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0xc30522e0, "xdr_buf_from_iov" },
	{ 0xcaad2607, "bpf_trace_run4" },
	{ 0x305204d3, "xdr_stream_decode_opaque_auth" },
	{ 0x966a43fe, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5133a9b6, "xdr_write_pages" },
	{ 0xa1e74c7a, "rpc_shutdown_client" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfb1b02c3, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xab4efeed, "xdr_inline_decode" },
	{ 0x7d4dfb06, "cache_create_net" },
	{ 0xaa9f4442, "rpcauth_destroy_credcache" },
	{ 0x36d4624, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9547b033, "bpf_trace_run6" },
	{ 0xc9cf8e10, "rpc_net_ns" },
	{ 0x7d07e1ec, "read_bytes_from_xdr_buf" },
	{ 0x65c60a53, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbc773afc, "rpc_wake_up" },
	{ 0xdac55ed7, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4818d00d, "sunrpc_cache_lookup_rcu" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf7b38f2e, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4d3773d3, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xcc195786, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x4616e0e3, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x73e32c47, "xdr_truncate_decode" },
	{ 0xc6677285, "rpcauth_unregister" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc6235072, "__xdr_commit_encode" },
	{ 0x34bc5c1a, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8835fce9, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ce74302, "__put_cred" },
	{ 0x8ab55fa6, "register_pernet_subsys" },
	{ 0xcd79f93c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x81960f56, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xbf8b5d9c, "rpc_release_client" },
	{ 0x602b06b0, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd6df622e, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xee0128f0, "svc_auth_register" },
	{ 0x418dcfe2, "xdr_stream_encode_opaque_auth" },
	{ 0xbc596591, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xa8ce8ec2, "const_pcpu_hot" },
	{ 0x36079093, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf1993cfe, "__free_pages" },
	{ 0x23983796, "rpc_pipe_generic_upcall" },
	{ 0x88fa6730, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x711db789, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2657a698, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x7c8c48, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xea11ef62, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "491579F52FA966E8CCC38A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
