#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xd8989478, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0x9166fada, "strncpy" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0x1ef53a3a, "__alloc_skb" },
	{ 0x46ca57c4, "__nlmsg_put" },
	{ 0x99946728, "netlink_unicast" },
	{ 0x58fce0d5, "xfrm_sad_getinfo" },
	{  0xac54a, "skb_trim" },
	{ 0x5d3c9746, "xfrm_spd_getinfo" },
	{ 0x4d9f3a6a, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x7b164d1c, "__xfrm_init_state" },
	{ 0x98c89ade, "security_xfrm_state_alloc" },
	{ 0x6b890337, "xfrm_init_replay" },
	{ 0x5a123080, "xfrm_dev_state_add" },
	{ 0xf188f2b8, "xfrm_state_update" },
	{ 0x3c467b3e, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8a764899, "__xfrm_state_destroy" },
	{ 0x32cfe47c, "xfrm_state_add" },
	{ 0x9839d42c, "xfrm_dev_state_delete" },
	{ 0xf93a2394, "netlink_broadcast_filtered" },
	{ 0xe5145a72, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0x19293e79, "__fib6_flush_trees" },
	{ 0xde700d0d, "xfrm_state_lookup_byaddr" },
	{ 0xd073628e, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xad0f9a21, "xfrm_state_delete" },
	{ 0x688df818, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x73788376, "km_state_expired" },
	{ 0xf647361e, "__xfrm_state_delete" },
	{ 0xe0b9065b, "security_xfrm_policy_alloc" },
	{ 0x6bc123a8, "xfrm_policy_bysel_ctx" },
	{ 0x6455298a, "security_xfrm_policy_free" },
	{ 0xf1ff0e49, "km_policy_expired" },
	{ 0x785fdff0, "xfrm_policy_byid" },
	{ 0x42642040, "xfrm_policy_destroy" },
	{ 0xfa717b7, "xfrm_policy_delete" },
	{ 0xfa260eba, "xfrm_audit_policy_delete" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xc30ff49, "xfrm_find_acq_byseq" },
	{ 0x924181a, "xfrm_find_acq" },
	{ 0x7374304b, "xfrm_alloc_spi" },
	{ 0x2074b8b5, "xfrm_dev_policy_add" },
	{ 0x17da9082, "xfrm_policy_insert" },
	{ 0x64b4fa51, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf43de407, "xfrm_state_free" },
	{ 0x4852ab08, "km_query" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ab55fa6, "register_pernet_subsys" },
	{ 0x3d7d8ee9, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x135d4aba, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb94ccd45, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xa0e69e08, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7dcfe377, "xfrm_policy_hash_rebuild" },
	{ 0x70e54502, "xfrm_state_flush" },
	{ 0x57017cfc, "km_state_notify" },
	{ 0xf9060140, "xfrm_policy_walk_done" },
	{ 0x555d81bf, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xcb8ab461, "xfrm_state_walk_done" },
	{ 0x2b383b6c, "__netlink_kernel_create" },
	{ 0x8df0b4ed, "xfrm_unregister_km" },
	{ 0x1d525d52, "unregister_pernet_subsys" },
	{ 0xef73de99, "netlink_net_capable" },
	{ 0xa8ce8ec2, "const_pcpu_hot" },
	{ 0x6588e291, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe954288, "xfrm_get_translator" },
	{ 0x1a3407dd, "xfrm_put_translator" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x47d119df, "sk_skb_reason_drop" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xac7227df, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x38be59ce, "xfrm_policy_alloc" },
	{ 0xdf9e163d, "xfrm_policy_flush" },
	{ 0x8c291ee9, "km_policy_notify" },
	{ 0xf88d5389, "xfrm_migrate" },
	{ 0x56470118, "__warn_printk" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe21ecc2f, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "8032B8532C21CA3E1D9587C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
